#!/bin/sh
if [ "$1" = "" ] ; then
	exit 1
fi
index=$1
if [ ! -f /etc/network-file/ifcfg_wan${index} ] ; then
	exit 1
fi

FILE_PID="/var/run/daily_reconnect${index}.pid"
if [ -f "$FILE_PID" ] ; then
	exit 0
fi

. /etc/network-file/ifcfg_wan${index}
if [ "$connection_mode" = "dsl" -a `echo "$connection_proto" | cut -b-3` = "ppp" ] ; then
	DSL_LINK=`/usr/sbin/iad_status_oper GET DSL_LINK status`
	if [ "$DSL_LINK" != "showtime" ] ; then
		exit 1
	fi
	/bin/touch $FILE_PID
	WAIT=0
	MULTI_WAN=`/usr/sbin/iad_status_oper GET MULTI_WAN STATUS`
	if [ "$MULTI_WAN" = "ON" ] ; then
		if [ "$index" = 2 ] ; then
			WAIT=1
		fi
	else
		if [ "$index" = "1" ] ; then
			WAIT=1
		fi
	fi

	while [ "$WAIT" = "1" ]
	do
		if [ ! -f /tmp/voip_call_count ] ; then
			break;
		else
			VOIP_CALL_CNT=`/bin/cat /tmp/voip_call_count`
			if [ "$VOIP_CALL_CNT" = "0" ] ; then
				break;
			fi
		fi
		sleep 30
	done
	
	IF_STAT=`/usr/sbin/iad_status_oper GET WAN${index}_IF_INFO STATUS`
	if [ "$IF_STAT" = "CONNECTED" ] ; then
		/etc/rc.d/rc.bringup_wan stop ${index}
		/etc/rc.d/rc.bringup_wan start ${index}
	fi
	/bin/rm -f $FILE_PID
else
	exit 1
fi


