#!/bin/sh

DIR_CURRENT_DB="/configs"
DIR_DB_WORK="/ramdisk/upgrade/db"
FILE_DEFAULT_DB="/usr/default_db/default_db.tgz"

DIR_TMP_DB=$DIR_DB_WORK"/tmp_db"
DIR_DB_BACK=$DIR_DB_WORK"/backup_db"
FILE_RET=$DIR_DB_WORK"/return"
FILE_BACKUP=$DIR_DB_WORK"/backup.iad"

cd /
if [ -d $DIR_TMP_DB ] ; then
	rm -rf $DIR_TMP_DB
fi
mkdir -p $DIR_TMP_DB

tar zcf $DIR_TMP_DB/db.tgz /configs

if [ "$?" != "0" ]; then
	rm -rf $DIR_DB_WORK/*
	echo "write" > $FILE_RET   # system error
	exit 1
fi

cd $DIR_TMP_DB
md5sum db.tgz > db.info

tar zcf iad_config.tgz db.tgz db.info
bcrypt iad_config.tgz
mv iad_config.tgz.bfe $FILE_BACKUP

rm -rf $DIR_TMP_DB
sleep 1

echo "ok" >  $FILE_RET

