#!/bin/sh

DIR_CURRENT_DB="/configs"
DIR_DB_WORK="/ramdisk/upgrade/db"
FILE_DEFAULT_DB="/usr/default_db/default_db.tgz"
ENCRYPT_DB_FLAG="/ramdisk/upgrade/encrypt_db"
DIR_TMP_DB=$DIR_DB_WORK"/tmp_db"
DIR_DB_BACK=$DIR_DB_WORK"/backup_db"
FILE_RET=$DIR_DB_WORK"/return"
FILE_RELOAD=$DIR_DB_WORK"/reload.iad"


cd /
if [ -d $DIR_DB_BACK ] ; then
    rm -rf $DIR_DB_BACK
fi
if [ -d $DIR_TMP_DB ] ; then
    rm -rf $DIR_TMP_DB
fi
mkdir -p $DIR_DB_BACK
mkdir -p $DIR_TMP_DB
		

cd $DIR_TMP_DB

if [ ! -f $FILE_RELOAD ] ; then
	echo "file" > $FILE_RET
	exit 2
fi

if [ ! -f $ENCRYPT_DB_FLAG ] ; then
	mv $FILE_RELOAD ./reload_db.tgz
	tar zxf reload_db.tgz
else
	mv $FILE_RELOAD ./reload_db.tgz.bfe
	bcrypt reload_db.tgz.bfe
	tar zxf reload_db.tgz
fi

if [ "$?" != "0" ]; then
	echo "file" > $FILE_RET
	cd /
	rm -rf $DIR_TMP_DB $DIR_DB_BACK
	exit 1
fi

if [ ! -f db.info -o ! -f db.tgz ]; then
	echo "file" > $FILE_RET
	cd /
	rm -rf $DIR_TMP_DB $DIR_DB_BACK
	exit 2
fi

SUM=`md5sum ./db.tgz`
for i in $SUM
do
	SUM0=$i
	break
done

SUM1=`cat ./db.info`
for i in $SUM1
do
	SUM2=$i
	break
done

if [ "$SUM0" != "$SUM2" ] ; then
	echo "chksum" > $FILE_RET
	cd /
	rm -rf $DIR_TMP_DB $DIR_DB_BACK
	exit 3
fi

tar zxf db.tgz
if [ "$?" != "0" ]; then
	echo "file" > $FILE_RET	
	cd /
	rm -rf $DIR_TMP_DB $DIR_DB_BACK
	exit 2
fi

if [ ! -d ./configs ] ; then
	echo "file" > $FILE_RET	
	cd /
	rm -rf $DIR_TMP_DB $DIR_DB_BACK
	exit 2
fi

cp -a $DIR_CURRENT_DB/* $DIR_DB_BACK

rm -rf ./configs/log
rm -rf $DIR_CURRENT_DB/call $DIR_CURRENT_DB/etc $DIR_CURRENT_DB/proftpd

cp -a ./configs/* $DIR_CURRENT_DB
if [ "$?" != "0" ]; then
	rm -rf $DIR_CURRENT_DB/*
	cp -a $DIR_DB_BACK/* $DIR_CURRENT_DB/
	echo "unknown" > $FILE_RET   # system error	
	cd /
	rm -rf $DIR_TMP_DB $DIR_DB_BACK
	sleep 1
	# log left : Error! DB retore fails
	logger "[SAMSUNG]!11!6!"	
	exit 2
fi

cp -f $DIR_DB_BACK/etc/pppoe_prev_conn* $DIR_CURRENT_DB/etc/ > /dev/null 2>&1
cd /
rm -rf $DIR_DB_WORK/*
echo "ok" > $FILE_RET	

logger "[SAMSUNG]!11!5!"	


